Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Transient_Naming_Context.h File Reference

`#include "Hash_Naming_Context.h"`
`#include "Entries.h"`
`#include "ace/Hash_Map_Manager.h"`

Include dependency graph for Transient_Naming_Context.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Transient_Bindings_Map
| Provides hash-table-based transient storage for name to object bindings in a Naming Context. More...
class | TAO_Transient_Naming_Context
| This class plays a role of a 'ConcreteImplementor' in the Bridge pattern architecture of the CosNaming::NamingContext implementation. More...

## Detailed Description

Id:
  Transient_Naming_Context.h,v 1.11 2003/07/21 23:51:32 dhinton Exp

Author:
  Marina Spivak <marina@cs.wustl.edu>